/***************************************************************************
 *   Copyright (C) 2008 by Patrick Steiner <patrick.steiner@a1.net>        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef BTSEARCHDLG_H
#define BTSEARCHDLG_H
#include <QDialog>
#include <QtDBus>

#include "ui_btsearchdlg.h"

struct DeviceListEntry {
    QString address;
    QString name;
};

class BtSearchDialog : public QDialog, private Ui::BtSearchDialog
{
	Q_OBJECT

	public:
		BtSearchDialog(DeviceListEntry *_btDevice, QWidget *parent = 0);
		~BtSearchDialog();

		DeviceListEntry *btDevice;

	private:
		void btSeachDialogDBusInit();

		QDBusInterface *bluetoothManager;
		QDBusInterface *bluetoothAdapter;

		QList<DeviceListEntry> btDevicesList;

	private slots:
		void okClicked();
		void searchClicked();
		void selectionChanged();

		void slotRemoteNameUpdated(const QString &address, const QString &name);
		void slotDiscoveryCompleted();
};

#endif // BTSEARCHDLG_H
