/***************************************************************************
 *   Copyright (C) 2005-2007 by Patrick Steiner                            *
 *   patrick.steiner@a1.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PHONEBOOK_H
#define PHONEBOOK_H

#include <QWidget>

struct ContactEntry {
	QString Name;
	QString Phonenumber;
};

class PhoneBook : public QWidget
{
	Q_OBJECT
	public:
		PhoneBook(QWidget *parent = 0);
		QStringList getAllContacts();
		QString getPhoneNumberByName(QString Name);

	private:
		QString kabcBook;
		QString pastBook;

		QList<ContactEntry> addressBook;
		void readContactsFromFile(QString aBookFile);
		void readContactsFromKABC(QString aBookFile);

		QString getVCardName(QString line);
		QString getVCardPhonenumber(QString line);
};

#endif // PHONEBOOK_H

// vim: ts=4

