/***************************************************************************
 *   Copyright (C) 2007 by Patrick Steiner <patrick.steiner@a1.net>        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SETTNGSDLG_H
#define SETTINGSDLG_H
#include <QDialog>

#include "ui_settingsdlg.h"

class QSettings;

class SettingsDialog : public QDialog, private Ui::SettingsDialog
{
	Q_OBJECT

	public:
		SettingsDialog(QWidget *parent = 0);

	private:
		QSettings *settings;

		void readSettings();
		void writeSettings();

		bool s_startminimized;
		bool s_multisms;
		bool s_storesms;

		QString d_storesmspath;

		QString s_storesmspath;
		QString s_phonePort;
		QString s_phoneModel;
		QString s_phoneConnectionType;
		int s_phoneRfChannel;

	private slots:
		void okClicked();
		void bluetoothClicked();
		void otherClicked();
		void storeSMSClicked();
		void storeSMSPathClicked();
		void searchBluetoothDevice();
};

#endif // SETTINGSDLG_H

