/***************************************************************************
 *   Copyright (C) 2005-2007 by Patrick Steiner                            *
 *   patrick.steiner@a1.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QDebug>
#include <QSettings>
#include <QFile>
#include <QDate>

#include "smslog.h"

SmsLogger::SmsLogger()
{
	readSettings();
}

void SmsLogger::readSettings()
{
	QSettings settings("past");
	logFilePath = settings.value("storesmspath").toString();
}

void SmsLogger::logSMS(QString Message, QString Recipient)
{
	//TODO: better output formate
	QDate cDate = QDate::currentDate();
	QString dateStr = cDate.toString(Qt::ISODate);

	QTime cTime = QTime::currentTime();
	QString timeStr = cTime.toString(Qt::ISODate);

	QFile file(logFilePath);
	if (file.open(QFile::WriteOnly | QFile::Append | QFile::Text)) {
		QTextStream logMessage(&file);
		logMessage << "----------------------------------------\n";
		logMessage << "Date: " << dateStr << " " << timeStr << "\n";
		logMessage << "To: " << Recipient << "\n\n\n";
		logMessage << Message << "\n\n\n";
		logMessage << "----------------------------------------\n\n";
	}
	file.close();
}
