/***************************************************************************
 *   Copyright (C) 2005-2007 by Patrick Steiner                            *
 *   patrick.steiner@a1.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SMSSENDWINDOW_H
#define SMSSENDWINDOW_H

#include <QMainWindow>
#include <QSystemTrayIcon>

#include "ui_smssendwindow.h"

#define SMS_MESSAGE_LENGTH 160

class SmsSendWindow : public QMainWindow,
	private Ui::SmsSendWindow
{
	Q_OBJECT
	public:
		SmsSendWindow(QWidget *parent = 0);

		void setVisible(bool visible);

	protected:
		void closeEvent(QCloseEvent *event);

	private:
		QAction *minimizeAction;
		QAction *restoreAction;
		QAction *aboutAction;
		QAction *settingsDlgAction;
		QAction *quitAction;

		QSystemTrayIcon *trayIcon;
		QMenu *trayIconMenu;
		QLabel *stbCharCount;
		


		bool multisms;
		bool storeSMS;
		int smschars;
		int phonechars;

		QString phonePort;
		QString phoneModel;
		QString phoneConnectionType;
		int phoneRfChannel;

		void createActions();
		void setupTrayIcon();
		void setupStatusbar();
		void readSettings();
		void setSendButton();
		QStringList getContacts();

	private slots:
		void iconActivated(QSystemTrayIcon::ActivationReason reason);
		void sendSMS();
		void cancelSMS();
		void clearSMSText();
		void updateCharStats();
		void phonenumberChanged();
		void showAboutDlg();
		void showSettingsDlg();
		//void hideSmsSendWindow();
		//void showSmsSendWindow();
};
#endif // SMSSENDWINDOW_H
